<?php
$message = "";

/***********************************/
/* Récupération des statistiques */
/***********************************/
$stats = get_statistiques();

function get_joueurs()
{
	return get_infos_requete("SELECT * FROM joueur")['instances'];
}
function get_joueurs_qualifs(int $id)
{
	$requete_qualif_joueurs = "SELECT T.nom, YEAR(T.date_deb), niveau 
		FROM participe Pa 
		JOIN phase Ph USING(idtournoi, niveau) 
		JOIN tournoi T USING(idtournoi) 
		WHERE Pa.idjoueur = $id AND Pa.est_qualifie AND Pa.a_joue
		ORDER BY T.date_deb DESC, Ph.niveau DESC;";
	return get_infos_requete($requete_qualif_joueurs);
}

if ($stats == null || count($stats) == 0) {
	$message .= "Aucune statistique n'est disponible!";
} else {

	/***********************************/
	/* Instances des vues des statistiques */
	/***********************************/

	$stat_globales = get_infos_instances('stat_globales');
	$equipes_top_1 = get_infos_instances('equipes_top_1');
	$participants_tournois_recents = get_infos_instances('participants_tournois_recents');
	$joueurs_au_moins_deux_top_5 = get_infos_instances('joueurs_au_moins_deux_top_5');
	$tailles_plateaux = get_infos_instances('tailles_plateaux');
	$top_5_joueurs_parties_jouees = get_infos_instances('top_5_joueurs_parties_jouees');

}
?>